Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.cloudwatch.model
Class GetMetricStatisticsRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.cloudwatch.model.GetMetricStatisticsRequest

    public class GetMetricStatisticsRequest

extends AmazonWebServiceRequest

Container for the parameters to the `GetMetricStatistics operation`.

See Also:
  `AmazonCloudWatch.getMetricStatistics(GetMetricStatisticsRequest)`

Constructor Summary
`GetMetricStatisticsRequest()`

Method Summary
`String` | `getCustomUnit()` Returns the value of the CustomUnit property for this object.
`List<Dimension>` | `getDimensions()` Returns the value of the Dimensions property for this object.
`Date` | `getEndTime()` Returns the value of the EndTime property for this object.
`String` | `getMeasureName()` Returns the value of the MeasureName property for this object.
`String` | `getNamespace()` Returns the value of the Namespace property for this object.
`Integer` | `getPeriod()` Returns the value of the Period property for this object.
`Date` | `getStartTime()` Returns the value of the StartTime property for this object.
`List<String>` | `getStatistics()` Returns the value of the Statistics property for this object.
`String` | `getUnit()` Returns the value of the Unit property for this object.
`void` | `setCustomUnit(String customUnit)` Sets the value of the CustomUnit property for this object.
`void` | `setDimensions(Collection<Dimension> dimensions)` Sets the value of the Dimensions property for this object.
`void` | `setEndTime(Date endTime)` Sets the value of the EndTime property for this object.
`void` | `setMeasureName(String measureName)` Sets the value of the MeasureName property for this object.
`void` | `setNamespace(String namespace)` Sets the value of the Namespace property for this object.
`void` | `setPeriod(Integer period)` Sets the value of the Period property for this object.
`void` | `setStartTime(Date startTime)` Sets the value of the StartTime property for this object.
`void` | `setStatistics(Collection<String> statistics)` Sets the value of the Statistics property for this object.
`void` | `setUnit(String unit)` Sets the value of the Unit property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetMetricStatisticsRequest` | `withCustomUnit(String customUnit)` Sets the value of the CustomUnit property for this object.
`GetMetricStatisticsRequest` | `withDimensions(Collection<Dimension> dimensions)` Sets the value of the Dimensions property for this object.
`GetMetricStatisticsRequest` | `withDimensions(Dimension... dimensions)` Sets the value of the Dimensions property for this object.
`GetMetricStatisticsRequest` | `withEndTime(Date endTime)` Sets the value of the EndTime property for this object.
`GetMetricStatisticsRequest` | `withMeasureName(String measureName)` Sets the value of the MeasureName property for this object.
`GetMetricStatisticsRequest` | `withNamespace(String namespace)` Sets the value of the Namespace property for this object.
`GetMetricStatisticsRequest` | `withPeriod(Integer period)` Sets the value of the Period property for this object.
`GetMetricStatisticsRequest` | `withStartTime(Date startTime)` Sets the value of the StartTime property for this object.
`GetMetricStatisticsRequest` | `withStatistics(Collection<String> statistics)` Sets the value of the Statistics property for this object.
`GetMetricStatisticsRequest` | `withStatistics(String... statistics)` Sets the value of the Statistics property for this object.
`GetMetricStatisticsRequest` | `withUnit(String unit)` Sets the value of the Unit property for this object.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetMetricStatisticsRequest

    public GetMetricStatisticsRequest()

Method Detail

### getStatistics

    public List<String> getStatistics()

  Returns the value of the Statistics property for this object.

  Returns:
    The value of the Statistics property for this object.

### setStatistics

    public void setStatistics(Collection<String> statistics)

  Sets the value of the Statistics property for this object.

  Parameters:
    `statistics` - The new value for the Statistics property for this object.

### withStatistics

    public GetMetricStatisticsRequest withStatistics(String... statistics)

  Sets the value of the Statistics property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `statistics` - The new value for the Statistics property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withStatistics

    public GetMetricStatisticsRequest withStatistics(Collection<String> statistics)

  Sets the value of the Statistics property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `statistics` - The new value for the Statistics property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPeriod

    public Integer getPeriod()

  Returns the value of the Period property for this object.

  Returns:
    The value of the Period property for this object.

### setPeriod

    public void setPeriod(Integer period)

  Sets the value of the Period property for this object.

  Parameters:
    `period` - The new value for the Period property for this object.

### withPeriod

    public GetMetricStatisticsRequest withPeriod(Integer period)

  Sets the value of the Period property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `period` - The new value for the Period property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMeasureName

    public String getMeasureName()

  Returns the value of the MeasureName property for this object.

  Returns:
    The value of the MeasureName property for this object.

### setMeasureName

    public void setMeasureName(String measureName)

  Sets the value of the MeasureName property for this object.

  Parameters:
    `measureName` - The new value for the MeasureName property for this object.

### withMeasureName

    public GetMetricStatisticsRequest withMeasureName(String measureName)

  Sets the value of the MeasureName property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `measureName` - The new value for the MeasureName property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDimensions

    public List<Dimension> getDimensions()

  Returns the value of the Dimensions property for this object.

  Returns:
    The value of the Dimensions property for this object.

### setDimensions

    public void setDimensions(Collection<Dimension> dimensions)

  Sets the value of the Dimensions property for this object.

  Parameters:
    `dimensions` - The new value for the Dimensions property for this object.

### withDimensions

    public GetMetricStatisticsRequest withDimensions(Dimension... dimensions)

  Sets the value of the Dimensions property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dimensions` - The new value for the Dimensions property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withDimensions

    public GetMetricStatisticsRequest withDimensions(Collection<Dimension> dimensions)

  Sets the value of the Dimensions property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dimensions` - The new value for the Dimensions property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getStartTime

    public Date getStartTime()

  Returns the value of the StartTime property for this object.

  Returns:
    The value of the StartTime property for this object.

### setStartTime

    public void setStartTime(Date startTime)

  Sets the value of the StartTime property for this object.

  Parameters:
    `startTime` - The new value for the StartTime property for this object.

### withStartTime

    public GetMetricStatisticsRequest withStartTime(Date startTime)

  Sets the value of the StartTime property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `startTime` - The new value for the StartTime property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEndTime

    public Date getEndTime()

  Returns the value of the EndTime property for this object.

  Returns:
    The value of the EndTime property for this object.

### setEndTime

    public void setEndTime(Date endTime)

  Sets the value of the EndTime property for this object.

  Parameters:
    `endTime` - The new value for the EndTime property for this object.

### withEndTime

    public GetMetricStatisticsRequest withEndTime(Date endTime)

  Sets the value of the EndTime property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `endTime` - The new value for the EndTime property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getUnit

    public String getUnit()

  Returns the value of the Unit property for this object.

  Constraints:
  Pattern: (Seconds|Bytes|Bits|Percent|Count|Bytes/Second|Bits/Second|Count/Second|None)

  Returns:
    The value of the Unit property for this object.

### setUnit

    public void setUnit(String unit)

  Sets the value of the Unit property for this object.

  Constraints:
  Pattern: (Seconds|Bytes|Bits|Percent|Count|Bytes/Second|Bits/Second|Count/Second|None)

  Parameters:
    `unit` - The new value for the Unit property for this object.

### withUnit

    public GetMetricStatisticsRequest withUnit(String unit)

  Sets the value of the Unit property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: (Seconds|Bytes|Bits|Percent|Count|Bytes/Second|Bits/Second|Count/Second|None)

  Parameters:
    `unit` - The new value for the Unit property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCustomUnit

    public String getCustomUnit()

  Returns the value of the CustomUnit property for this object.

  Returns:
    The value of the CustomUnit property for this object.

### setCustomUnit

    public void setCustomUnit(String customUnit)

  Sets the value of the CustomUnit property for this object.

  Parameters:
    `customUnit` - The new value for the CustomUnit property for this object.

### withCustomUnit

    public GetMetricStatisticsRequest withCustomUnit(String customUnit)

  Sets the value of the CustomUnit property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `customUnit` - The new value for the CustomUnit property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getNamespace

    public String getNamespace()

  Returns the value of the Namespace property for this object.

  Constraints:
  Pattern: [^:].*

  Returns:
    The value of the Namespace property for this object.

### setNamespace

    public void setNamespace(String namespace)

  Sets the value of the Namespace property for this object.

  Constraints:
  Pattern: [^:].*

  Parameters:
    `namespace` - The new value for the Namespace property for this object.

### withNamespace

    public GetMetricStatisticsRequest withNamespace(String namespace)

  Sets the value of the Namespace property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: [^:].*

  Parameters:
    `namespace` - The new value for the Namespace property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.